Search patient profiles
curl --request GET \
--url https://api.eka.care/profiles/v1/patient/search \
--header 'Authorization: Bearer <token>' \
--header 'client-id: <client-id>'import requests
url = "https://api.eka.care/profiles/v1/patient/search"
headers = {
"client-id": "<client-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'client-id': '<client-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.eka.care/profiles/v1/patient/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"username": "1111111111",
"mobile": "98765XXXXX",
"oid": "17552615662165",
"fln": "Veena"
}
]Patient Directory APIs
Search patient profiles
Global Search is exclusive to specific workspaces only. Please reach out to support.
Search patient profiles by username, mobile, or full name (prefix match).
The limit parameter controls the number of results fetched internally (default: 50, maximum: 50).
GET
/
profiles
/
v1
/
patient
/
search
Search patient profiles
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"EC_1431"
Query Parameters
The search term to match against patient profiles. This can be a username, mobile number, or full name (prefix match).
Example:
"121"
Example:
10
Comma-separated list of additional fields to include in the response.
Example: abha,dob,gen
Valid optional fields: abha, c_ate, dob, gen, u_ate, is_age
Was this page helpful?

